path: /build/build/kitinerary-kde-apps-5-23.08.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -e 's|app-text/poppler:=\[qt5\]|app-text/poppler|g' -i /var/git/meta-repo/kits/kde-kit/kde-apps/kitinerary/kitinerary-23.08.2.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test barcode pdf prefix" emerge kde-apps/kitinerary:5 -pv -t && \
    USE="-test barcode pdf prefix" emerge -j ${JOBS} --nodeps kde-apps/kitinerary:5 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/kitinerary && \
    luet-portage --dir /pkgdir/kitinerary kde-apps/kitinerary:5 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:1034ce60d252269f53e508199ec30148d3ed90060050fa2c40a9d908dddda700
  package:
    name: kitinerary
    version: 23.08.2+1
    category: kde-apps-5
    use_flags:
    - -test
    - barcode
    - pdf
    - prefix
    requires:
    - name: kpkpass
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Data Model and Extraction System for Travel Reservation information
    uri:
    - https://apps.kde.org/en/kontact
    license: LGPL-2.1+
    buildtimestamp: 2025-09-26 14:37:55.049118415 +0000 UTC m=+285.344232408
    labels:
      BDEPEND: x11-misc/shared-mime-info dev-util/ninja >=dev-util/cmake-3.9.6 test?
        ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: dev-libs/libxml2 dev-libs/openssl >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
        >=kde-apps/kmime-23.08.2:5 >=kde-apps/kpkpass-23.08.2:5 >=kde-frameworks/karchive-5.98.0:5
        >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcontacts-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 sys-libs/zlib barcode? ( >=media-libs/zxing-cpp-1.1.0
        ) pdf? ( app-text/poppler:=[qt5] ) dev-util/desktop-file-utils x11-misc/shared-mime-info
        test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils
      IUSE: +barcode pdf test debug test
      RDEPEND: dev-libs/libxml2 dev-libs/openssl >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
        >=kde-apps/kmime-23.08.2:5 >=kde-apps/kpkpass-23.08.2:5 >=kde-frameworks/karchive-5.98.0:5
        >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcontacts-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 sys-libs/zlib barcode? ( >=media-libs/zxing-cpp-1.1.0
        ) pdf? ( app-text/poppler:=[qt5] ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5
      emerge.packages: kde-apps/kitinerary:5
      kit: kde-kit
      original.package.name: kde-apps/kitinerary
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/kitinerary
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 62c07f578fded63076452a3b561b6c46976765bcdf5f31cb6703c663ac794aac
compressiontype: zstd
files:
- usr/include/KPim5/KItinerary/AbstractExtractor
- usr/include/KPim5/KItinerary/Action
- usr/include/KPim5/KItinerary/AlphaId
- usr/include/KPim5/KItinerary/BERElement
- usr/include/KPim5/KItinerary/BarcodeDecoder
- usr/include/KPim5/KItinerary/BoatTrip
- usr/include/KPim5/KItinerary/Brand
- usr/include/KPim5/KItinerary/BusTrip
- usr/include/KPim5/KItinerary/CalendarHandler
- usr/include/KPim5/KItinerary/CountryDb
- usr/include/KPim5/KItinerary/CreativeWork
- usr/include/KPim5/KItinerary/Datatypes
- usr/include/KPim5/KItinerary/DocumentUtil
- usr/include/KPim5/KItinerary/ELBTicket
- usr/include/KPim5/KItinerary/Event
- usr/include/KPim5/KItinerary/ExtractorCapabilities
- usr/include/KPim5/KItinerary/ExtractorDocumentNode
- usr/include/KPim5/KItinerary/ExtractorDocumentNodeFactory
- usr/include/KPim5/KItinerary/ExtractorDocumentProcessor
- usr/include/KPim5/KItinerary/ExtractorEngine
- usr/include/KPim5/KItinerary/ExtractorFilter
- usr/include/KPim5/KItinerary/ExtractorPostprocessor
- usr/include/KPim5/KItinerary/ExtractorRepository
- usr/include/KPim5/KItinerary/ExtractorResult
- usr/include/KPim5/KItinerary/ExtractorValidator
- usr/include/KPim5/KItinerary/File
- usr/include/KPim5/KItinerary/Flight
- usr/include/KPim5/KItinerary/HtmlDocument
- usr/include/KPim5/KItinerary/HttpResponse
- usr/include/KPim5/KItinerary/IataBcbp
- usr/include/KPim5/KItinerary/IataBcbpSections
- usr/include/KPim5/KItinerary/JsonLdDocument
- usr/include/KPim5/KItinerary/KnowledgeDb
- usr/include/KPim5/KItinerary/LocationUtil
- usr/include/KPim5/KItinerary/MergeUtil
- usr/include/KPim5/KItinerary/Organization
- usr/include/KPim5/KItinerary/PdfDocument
- usr/include/KPim5/KItinerary/PdfImage
- usr/include/KPim5/KItinerary/PdfLink
- usr/include/KPim5/KItinerary/Person
- usr/include/KPim5/KItinerary/Place
- usr/include/KPim5/KItinerary/ProgramMembership
- usr/include/KPim5/KItinerary/Rct2Ticket
- usr/include/KPim5/KItinerary/RentalCar
- usr/include/KPim5/KItinerary/Reservation
- usr/include/KPim5/KItinerary/SSBTicketBase
- usr/include/KPim5/KItinerary/SSBv1Ticket
- usr/include/KPim5/KItinerary/SSBv2Ticket
- usr/include/KPim5/KItinerary/SSBv3Ticket
- usr/include/KPim5/KItinerary/ScriptExtractor
- usr/include/KPim5/KItinerary/SortUtil
- usr/include/KPim5/KItinerary/Taxi
- usr/include/KPim5/KItinerary/Ticket
- usr/include/KPim5/KItinerary/Token
- usr/include/KPim5/KItinerary/TrainTrip
- usr/include/KPim5/KItinerary/Uic9183Block
- usr/include/KPim5/KItinerary/Uic9183Header
- usr/include/KPim5/KItinerary/Uic9183Parser
- usr/include/KPim5/KItinerary/Uic9183TicketLayout
- usr/include/KPim5/KItinerary/Uic9183Utils
- usr/include/KPim5/KItinerary/VdvBasicTypes
- usr/include/KPim5/KItinerary/VdvTicket
- usr/include/KPim5/KItinerary/VdvTicketContent
- usr/include/KPim5/KItinerary/VdvTicketParser
- usr/include/KPim5/KItinerary/Vendor0080Block
- usr/include/KPim5/KItinerary/Vendor0080VUBlockData
- usr/include/KPim5/KItinerary/Vendor1154Block
- usr/include/KPim5/KItinerary/Visit
- usr/include/KPim5/kitinerary/abstractextractor.h
- usr/include/KPim5/kitinerary/action.h
- usr/include/KPim5/kitinerary/alphaid.h
- usr/include/KPim5/kitinerary/barcodedecoder.h
- usr/include/KPim5/kitinerary/berelement.h
- usr/include/KPim5/kitinerary/boattrip.h
- usr/include/KPim5/kitinerary/brand.h
- usr/include/KPim5/kitinerary/bustrip.h
- usr/include/KPim5/kitinerary/calendarhandler.h
- usr/include/KPim5/kitinerary/countrydb.h
- usr/include/KPim5/kitinerary/creativework.h
- usr/include/KPim5/kitinerary/datatypes.h
- usr/include/KPim5/kitinerary/documentutil.h
- usr/include/KPim5/kitinerary/elbticket.h
- usr/include/KPim5/kitinerary/event.h
- usr/include/KPim5/kitinerary/extractorcapabilities.h
- usr/include/KPim5/kitinerary/extractordocumentnode.h
- usr/include/KPim5/kitinerary/extractordocumentnodefactory.h
- usr/include/KPim5/kitinerary/extractordocumentprocessor.h
- usr/include/KPim5/kitinerary/extractorengine.h
- usr/include/KPim5/kitinerary/extractorfilter.h
- usr/include/KPim5/kitinerary/extractorpostprocessor.h
- usr/include/KPim5/kitinerary/extractorrepository.h
- usr/include/KPim5/kitinerary/extractorresult.h
- usr/include/KPim5/kitinerary/extractorvalidator.h
- usr/include/KPim5/kitinerary/file.h
- usr/include/KPim5/kitinerary/flight.h
- usr/include/KPim5/kitinerary/htmldocument.h
- usr/include/KPim5/kitinerary/httpresponse.h
- usr/include/KPim5/kitinerary/iatabcbp.h
- usr/include/KPim5/kitinerary/iatabcbpsections.h
- usr/include/KPim5/kitinerary/internal/parameter_type.h
- usr/include/KPim5/kitinerary/jsonlddocument.h
- usr/include/KPim5/kitinerary/kitinerary_export.h
- usr/include/KPim5/kitinerary/knowledgedb.h
- usr/include/KPim5/kitinerary/locationutil.h
- usr/include/KPim5/kitinerary/mergeutil.h
- usr/include/KPim5/kitinerary/organization.h
- usr/include/KPim5/kitinerary/pdfdocument.h
- usr/include/KPim5/kitinerary/pdfimage.h
- usr/include/KPim5/kitinerary/pdflink.h
- usr/include/KPim5/kitinerary/person.h
- usr/include/KPim5/kitinerary/place.h
- usr/include/KPim5/kitinerary/programmembership.h
- usr/include/KPim5/kitinerary/rct2ticket.h
- usr/include/KPim5/kitinerary/rentalcar.h
- usr/include/KPim5/kitinerary/reservation.h
- usr/include/KPim5/kitinerary/scriptextractor.h
- usr/include/KPim5/kitinerary/sortutil.h
- usr/include/KPim5/kitinerary/ssbticketbase.h
- usr/include/KPim5/kitinerary/ssbv1ticket.h
- usr/include/KPim5/kitinerary/ssbv2ticket.h
- usr/include/KPim5/kitinerary/ssbv3ticket.h
- usr/include/KPim5/kitinerary/taxi.h
- usr/include/KPim5/kitinerary/ticket.h
- usr/include/KPim5/kitinerary/token.h
- usr/include/KPim5/kitinerary/traintrip.h
- usr/include/KPim5/kitinerary/uic9183block.h
- usr/include/KPim5/kitinerary/uic9183header.h
- usr/include/KPim5/kitinerary/uic9183parser.h
- usr/include/KPim5/kitinerary/uic9183ticketlayout.h
- usr/include/KPim5/kitinerary/uic9183utils.h
- usr/include/KPim5/kitinerary/vdvbasictypes.h
- usr/include/KPim5/kitinerary/vdvticket.h
- usr/include/KPim5/kitinerary/vdvticketcontent.h
- usr/include/KPim5/kitinerary/vdvticketparser.h
- usr/include/KPim5/kitinerary/vendor0080block.h
- usr/include/KPim5/kitinerary/vendor0080vublockdata.h
- usr/include/KPim5/kitinerary/vendor1154block.h
- usr/include/KPim5/kitinerary/visit.h
- usr/include/KPim5/kitinerary_version.h
- usr/lib64/cmake/KPim5Itinerary/KPim5ItineraryConfig.cmake
- usr/lib64/cmake/KPim5Itinerary/KPim5ItineraryConfigVersion.cmake
- usr/lib64/cmake/KPim5Itinerary/KPim5ItineraryTargets-gentoo.cmake
- usr/lib64/cmake/KPim5Itinerary/KPim5ItineraryTargets.cmake
- usr/lib64/cmake/KPimItinerary/KPim5ItineraryTargets-gentoo.cmake
- usr/lib64/cmake/KPimItinerary/KPim5ItineraryTargets.cmake
- usr/lib64/cmake/KPimItinerary/KPimItineraryConfig.cmake
- usr/lib64/cmake/KPimItinerary/KPimItineraryConfigVersion.cmake
- usr/lib64/libKPim5Itinerary.so
- usr/lib64/libKPim5Itinerary.so.5
- usr/lib64/libKPim5Itinerary.so.5.24.2
- usr/lib64/libexec/kf5/kitinerary-extractor
- usr/share/doc/kitinerary-23.08.2/README.md.bz2
- usr/share/doc/kitinerary-23.08.2/README.md.license
- usr/share/locale/ar/LC_MESSAGES/kitinerary.mo
- usr/share/locale/ca/LC_MESSAGES/kitinerary.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kitinerary.mo
- usr/share/locale/cs/LC_MESSAGES/kitinerary.mo
- usr/share/locale/da/LC_MESSAGES/kitinerary.mo
- usr/share/locale/de/LC_MESSAGES/kitinerary.mo
- usr/share/locale/en_GB/LC_MESSAGES/kitinerary.mo
- usr/share/locale/es/LC_MESSAGES/kitinerary.mo
- usr/share/locale/et/LC_MESSAGES/kitinerary.mo
- usr/share/locale/eu/LC_MESSAGES/kitinerary.mo
- usr/share/locale/fi/LC_MESSAGES/kitinerary.mo
- usr/share/locale/fr/LC_MESSAGES/kitinerary.mo
- usr/share/locale/gl/LC_MESSAGES/kitinerary.mo
- usr/share/locale/ia/LC_MESSAGES/kitinerary.mo
- usr/share/locale/it/LC_MESSAGES/kitinerary.mo
- usr/share/locale/ja/LC_MESSAGES/kitinerary.mo
- usr/share/locale/ka/LC_MESSAGES/kitinerary.mo
- usr/share/locale/ko/LC_MESSAGES/kitinerary.mo
- usr/share/locale/lt/LC_MESSAGES/kitinerary.mo
- usr/share/locale/nl/LC_MESSAGES/kitinerary.mo
- usr/share/locale/nn/LC_MESSAGES/kitinerary.mo
- usr/share/locale/pl/LC_MESSAGES/kitinerary.mo
- usr/share/locale/pt/LC_MESSAGES/kitinerary.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kitinerary.mo
- usr/share/locale/ru/LC_MESSAGES/kitinerary.mo
- usr/share/locale/sk/LC_MESSAGES/kitinerary.mo
- usr/share/locale/sl/LC_MESSAGES/kitinerary.mo
- usr/share/locale/sv/LC_MESSAGES/kitinerary.mo
- usr/share/locale/tr/LC_MESSAGES/kitinerary.mo
- usr/share/locale/uk/LC_MESSAGES/kitinerary.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kitinerary.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kitinerary.mo
- usr/share/mime/packages/application-vnd-kde-itinerary.xml
- usr/share/qlogging-categories5/org_kde_kitinerary.categories
- var/db/pkg/kde-apps/kitinerary-23.08.2/BDEPEND
- var/db/pkg/kde-apps/kitinerary-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/kitinerary-23.08.2/CATEGORY
- var/db/pkg/kde-apps/kitinerary-23.08.2/CBUILD
- var/db/pkg/kde-apps/kitinerary-23.08.2/CFLAGS
- var/db/pkg/kde-apps/kitinerary-23.08.2/CHOST
- var/db/pkg/kde-apps/kitinerary-23.08.2/CONTENTS
- var/db/pkg/kde-apps/kitinerary-23.08.2/COUNTER
- var/db/pkg/kde-apps/kitinerary-23.08.2/CTARGET
- var/db/pkg/kde-apps/kitinerary-23.08.2/CXX
- var/db/pkg/kde-apps/kitinerary-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/kitinerary-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/kitinerary-23.08.2/DEPEND
- var/db/pkg/kde-apps/kitinerary-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/kitinerary-23.08.2/EAPI
- var/db/pkg/kde-apps/kitinerary-23.08.2/FEATURES
- var/db/pkg/kde-apps/kitinerary-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/kitinerary-23.08.2/INHERITED
- var/db/pkg/kde-apps/kitinerary-23.08.2/IUSE
- var/db/pkg/kde-apps/kitinerary-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/kitinerary-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/kitinerary-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/kitinerary-23.08.2/LICENSE
- var/db/pkg/kde-apps/kitinerary-23.08.2/NEEDED
- var/db/pkg/kde-apps/kitinerary-23.08.2/NEEDED.ELF.2
- var/db/pkg/kde-apps/kitinerary-23.08.2/PF
- var/db/pkg/kde-apps/kitinerary-23.08.2/PROVIDES
- var/db/pkg/kde-apps/kitinerary-23.08.2/RDEPEND
- var/db/pkg/kde-apps/kitinerary-23.08.2/REQUIRES
- var/db/pkg/kde-apps/kitinerary-23.08.2/SIZE
- var/db/pkg/kde-apps/kitinerary-23.08.2/SLOT
- var/db/pkg/kde-apps/kitinerary-23.08.2/USE
- var/db/pkg/kde-apps/kitinerary-23.08.2/environment.bz2
- var/db/pkg/kde-apps/kitinerary-23.08.2/kitinerary-23.08.2.ebuild
- var/db/pkg/kde-apps/kitinerary-23.08.2/repository
package_cacheimage: ""
runtime:
  name: kitinerary
  version: 23.08.2+1
  category: kde-apps-5
  use_flags:
  - -test
  - barcode
  - pdf
  - prefix
  requires:
  - name: poppler
    version: '>=0'
    category: app-text
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: kmime
    version: '>=0'
    category: kde-apps-5
  - name: kpkpass
    version: '>=0'
    category: kde-apps-5
  - name: kcalendarcore
    version: '>=0'
    category: kde-frameworks-5
  - name: kcontacts
    version: '>=0'
    category: kde-frameworks-5
  - name: zxing-cpp
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Data Model and Extraction System for Travel Reservation information
  uri:
  - https://apps.kde.org/en/kontact
  license: LGPL-2.1+
  labels:
    BDEPEND: x11-misc/shared-mime-info dev-util/ninja >=dev-util/cmake-3.9.6 test?
      ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: dev-libs/libxml2 dev-libs/openssl >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
      >=kde-apps/kmime-23.08.2:5 >=kde-apps/kpkpass-23.08.2:5 >=kde-frameworks/karchive-5.98.0:5
      >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcontacts-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 sys-libs/zlib barcode? ( >=media-libs/zxing-cpp-1.1.0
      ) pdf? ( app-text/poppler:=[qt5] ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils
    IUSE: +barcode pdf test debug test
    RDEPEND: dev-libs/libxml2 dev-libs/openssl >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
      >=kde-apps/kmime-23.08.2:5 >=kde-apps/kpkpass-23.08.2:5 >=kde-frameworks/karchive-5.98.0:5
      >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcontacts-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 sys-libs/zlib barcode? ( >=media-libs/zxing-cpp-1.1.0
      ) pdf? ( app-text/poppler:=[qt5] ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5
    emerge.packages: kde-apps/kitinerary:5
    kit: kde-kit
    original.package.name: kde-apps/kitinerary
    original.package.slot: "5"
    original.package.version: 23.08.2
